=== modified file 'bzrlib/export/zip_exporter.py'
--- bzrlib/export/zip_exporter.py	2011-03-13 19:10:45 +0000
+++ bzrlib/export/zip_exporter.py	2011-03-13 19:26:35 +0000
@@ -19,6 +19,7 @@
 
 import os
 import stat
+import sys
 import time
 import zipfile
 
@@ -51,6 +52,8 @@
     """
 
     compression = zipfile.ZIP_DEFLATED
+    if dest == "-":
+        dest = sys.stdout
     zipf = zipfile.ZipFile(dest, "w", compression)
 
     try:

=== modified file 'bzrlib/tests/test_export.py'
--- bzrlib/tests/test_export.py	2010-04-14 00:11:32 +0000
+++ bzrlib/tests/test_export.py	2011-03-13 19:26:35 +0000
@@ -71,7 +71,7 @@
         self.failUnlessExists('target1/first')
         export.export(wtree, 'target2', format='dir', subdir='dir2/second')
         self.failUnlessExists('target2/second')
-        
+
     def test_dir_export_files_same_timestamp(self):
         builder = self.make_branch_builder('source')
         builder.start_series()

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-03-13 19:21:52 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-03-13 19:26:35 +0000
@@ -59,6 +59,9 @@
   output of ``bzr export --per-file-timestamps`` for a particular tree
   deterministic.  (Jelmer Vernooij, #711226)
 
+* ``bzr export --format=zip`` can now export to standard output,
+  like the other exporters can. (Jelmer Vernooij, #513752)
+
 Bug Fixes
 *********
 

